ValidatorTask (Apache Tomcat 9.0.102 API Documentation)
Description: declaration: package: org.apache.catalina.ant, class: ValidatorTask

Package org.apache.catalina.ant

# Class ValidatorTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.catalina.ant.BaseRedirectorHelperTask
org.apache.catalina.ant.ValidatorTask

All Implemented Interfaces:
  `Cloneable`

public class ValidatorTask extends BaseRedirectorHelperTask
Task for validating a web application deployment descriptor, using XML schema validation.

Since:
  5.0
Author:
  Remy Maucherat

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `path`
  The path to the webapp directory.

  ### Fields inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

  `alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidatorTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute()`
  Execute the specified command.
  `String`
  `getPath()`
  `void`
  `setPath(String path)`

  ### Methods inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

  `addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### path

    protected String path
    The path to the webapp directory.

- ## Constructor Details

  - ### ValidatorTask

    public ValidatorTask()

- ## Method Details

  - ### getPath

    public String getPath()

  - ### setPath

    public void setPath(String path)

  - ### execute

    public void execute() throws org.apache.tools.ant.BuildException
    Execute the specified command. This logic only performs the common attribute validation required by all subclasses; it does not perform any functional logic directly.
    Overrides:
      `execute` in class `org.apache.tools.ant.Task`
    Throws:
      `org.apache.tools.ant.BuildException` - if a validation error occurs